import { a, N as o, L as r, T as n } from "./index-162fd1aa.mjs";
import t from "react";
import "./dateFns-2367ee5b.mjs";
import "./validator-61879ab7.mjs";
import "./reactPlayer-2f69f369.mjs";
import "react-router-dom";
import "./reactSlick-cb4a2d39.mjs";
class d extends t.Component {
  constructor(e) {
    super(e), this.appState = a.getAppState();
  }
  async componentDidMount() {
    this.appState.getUser() ? await this.appState.logout() : this.appState.state.appHistory.replace(o.Home.link);
  }
  render() {
    return /* @__PURE__ */ t.createElement("div", { className: "mainPageContainer" }, /* @__PURE__ */ t.createElement(r, null, /* @__PURE__ */ t.createElement("strong", null, /* @__PURE__ */ t.createElement(n, { i18nKey: "LogoutPage.loading" }, "Logging you out..."))));
  }
}
export {
  d as default
};
